# eric7.Plugins.VcsPlugins.vcsGit.GitMergeDialog

Module implementing a dialog to enter the merge data.

### Global Attributes

None

### Classes

GitMergeDialog | Class implementing a dialog to enter the merge data.

### Functions

None

## GitMergeDialog

Class implementing a dialog to enter the merge data.

### Derived from

QDialog, Ui_GitMergeDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitMergeDialog | Constructor
__generateDefaultCommitMessage | Private slot to generate a default commit message based on the data entered.
__updateOK | Private slot to update the OK button.
getParameters | Public method to retrieve the merge data.
on_branchButton_toggled | Private slot to handle changes of the Branch select button.
on_branchCombo_editTextChanged | Private slot to handle changes of the Branch combo.
on_commitGroupBox_toggled | Private slot to handle changes of the Commit select group.
on_commitMessageEdit_textChanged | Private slot to handle changes of the commit message edit.
on_idButton_toggled | Private slot to handle changes of the ID select button.
on_idEdit_textChanged | Private slot to handle changes of the Commit edit.
on_noneButton_toggled | Private slot to handle changes of the None select button.
on_remoteBranchButton_toggled | Private slot to handle changes of the Remote Branch select button.
on_remoteBranchCombo_editTextChanged | Private slot to handle changes of the Remote Branch combo.
on_tagButton_toggled | Private slot to handle changes of the Tag select button.
on_tagCombo_editTextChanged | Private slot to handle changes of the Tag combo.

### Static Methods

None

#### GitMergeDialog (Constructor)

GitMergeDialog(tagsList, branchesList, currentBranch, remoteBranchesList, parent=None)

Constructor

tagsList
  list of tags (list of strings)
branchesList
  list of branches (list of strings)
currentBranch
  name of the current branch (string)
remoteBranchesList
  list of remote branches (list of strings)
parent
  reference to the parent widget (QWidget)

#### GitMergeDialog.__generateDefaultCommitMessage

__generateDefaultCommitMessage()

Private slot to generate a default commit message based on the data entered.

#### GitMergeDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### GitMergeDialog.getParameters

getParameters()

Public method to retrieve the merge data.

Return:
  tuple naming the revision, a flag indicating that the merge shall be committed, the commit message, a flag indicating that a log summary shall be appended and a flag indicating to show diff statistics at the end of the merge (string, boolean, string, boolean, boolean)

#### GitMergeDialog.on_branchButton_toggled

on_branchButton_toggled(checked)

Private slot to handle changes of the Branch select button.

checked
  state of the button (boolean)

#### GitMergeDialog.on_branchCombo_editTextChanged

on_branchCombo_editTextChanged(txt)

Private slot to handle changes of the Branch combo.

txt
  text of the combo (string)

#### GitMergeDialog.on_commitGroupBox_toggled

on_commitGroupBox_toggled(checked)

Private slot to handle changes of the Commit select group.

checked
  state of the group (boolean)

#### GitMergeDialog.on_commitMessageEdit_textChanged

on_commitMessageEdit_textChanged()

Private slot to handle changes of the commit message edit.

#### GitMergeDialog.on_idButton_toggled

on_idButton_toggled(checked)

Private slot to handle changes of the ID select button.

checked
  state of the button (boolean)

#### GitMergeDialog.on_idEdit_textChanged

on_idEdit_textChanged(txt)

Private slot to handle changes of the Commit edit.

txt
  text of the edit (string)

#### GitMergeDialog.on_noneButton_toggled

on_noneButton_toggled(checked)

Private slot to handle changes of the None select button.

checked
  state of the button (boolean)

#### GitMergeDialog.on_remoteBranchButton_toggled

on_remoteBranchButton_toggled(checked)

Private slot to handle changes of the Remote Branch select button.

checked
  state of the button (boolean)

#### GitMergeDialog.on_remoteBranchCombo_editTextChanged

on_remoteBranchCombo_editTextChanged(txt)

Private slot to handle changes of the Remote Branch combo.

txt
  text of the combo (string)

#### GitMergeDialog.on_tagButton_toggled

on_tagButton_toggled(checked)

Private slot to handle changes of the Tag select button.

checked
  state of the button (boolean)

#### GitMergeDialog.on_tagCombo_editTextChanged

on_tagCombo_editTextChanged(txt)

Private slot to handle changes of the Tag combo.

txt
  text of the combo (string)

Up